-- 百抽盛典
Lua_HundredCeremonyWindow = class("Lua_HundredCeremonyWindow", Lua_Window);
function Lua_HundredCeremonyWindow:ctor(p)
	self:superCall("ctor", p);

	self.windowName = "Lua_HundredCeremonyWindow";
	self.skinName = "HundredCeremonyWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showCloseText = true;
	self.closeTextPosY = -506;

	self:addPreLoadRes("/images/activities/xui_bcsd_widget_1.png", Lua_LoadFileType.IMG);
	self:addPreLoadRes("/images/activities/xui_bcsd_widget_2.png", Lua_LoadFileType.IMG);
end

function Lua_HundredCeremonyWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- 策划要求屏蔽时间
	self.leftTimeTxt:setEnable(false);

	self.rewardList = Lua_DragList.new(self.content, 675, 340, Lua_AxisDefine.Vertical);
	self.rewardList.tweenId = 2016;
	self.rewardList.delayTween = true;
	self.rewardList:setListCell(Lua_HundredCeremonyItem, 135, 148, 5);
	self.rewardList:setCellSpacing(0, 6);
	self.rewardList:setLocation(0, -170, 0);

	self.bannerImg.clickScale = false;
	self.bannerImg:addClickFuntion(self, self.onWinBgClick);

	self:addLuaEvent("UPDATE_HUNDRREDCEREMONY_INFO", self, self.updateHundredCeremonyInfo);
	-- Lua_ProxyManager.getProxy("Lua_HundredCeremonyProxy"):sHundredCeremonyInfo();
	self:updateHundredCeremonyInfo();
end

function Lua_HundredCeremonyWindow:updateHundredCeremonyInfo()
	local arr = DataCenter.hundredCeremonyData.hcGiftInfoArr;
	self.rewardList.canDrag = arr:getSize() > 10;
	self.rewardList:setArrayData(arr);
	self.rewardList:moveToIndex(DataCenter.hundredCeremonyData.hasDrawIdx, true, false);

	-- 策划要求屏蔽时间
	-- self:startTimer();
	-- self:updateLeftTime();
end

function Lua_HundredCeremonyWindow:startTimer()
	if self.countDown ~= true then
		self.countDown = true;
		Lua_CommonUtil.addTimer("HundredCeremony_UpdateLeftTime", 1, self, self.updateLeftTime);
	end
end

function Lua_HundredCeremonyWindow:updateLeftTime()
	local time = DataCenter.hundredCeremonyData.showTime;
	if time <= 0 then
		time = 0;
		self:endTimer();
	end
	self.leftTimeTxt.text = Lua_TimeTransform.transSeconds16(time, true, true, true);
end

function Lua_HundredCeremonyWindow:endTimer()
	if self.countDown == true then
		self.countDown = false;
		Lua_CommonUtil.removeTimer(self, self.updateLeftTime);
	end
end

function Lua_HundredCeremonyWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:endTimer();
	self:superCall("dispose");
end










Lua_HundredCeremonyItem = class("Lua_HundredCeremonyItem", Lua_ListCell);
function Lua_HundredCeremonyItem:ctor(p)
	self:superCall("ctor", p, "HundredCeremonyItem_skin");
end

function Lua_HundredCeremonyItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setSiblingIndex(0);
	self.itemIcon:setLocation(0, 14, 0);
	self.itemIcon:setScale(0.94, 0.94);
end

function Lua_HundredCeremonyItem:setData(data)
	self._data = DataCenter.hundredCeremonyData:getHundredCeremonyVo(data);
	if data == nil or self._data == nil then
		return;
	end

	self.itemIcon:setData(self._data.hcShowVo);
	self.itemIcon:setDrawMask(self._data.state == 2);

	self.dayTxt.text = LanUtil.formateStr(610000, data);
	if self._data.state > 0 then
		self.dayTxt.colorStr = Lua_ColorDefine.transColor("C9692E");
	else
		self.dayTxt.colorStr = Lua_ColorDefine.transColor("896148");
	end
	self.showIcon:setEnable(self._data.state == 1);
end

function Lua_HundredCeremonyItem:onPressClick()
	if self._data == nil then
		return;
	end

	-- 策划要求屏蔽时间
	-- local time = DataCenter.hundredCeremonyData.showTime;
	-- if time > 0 then
		if self._data.state == 0 then
			DataCenter.packUtil:showItemInfo(self.itemIcon.data, self.itemIcon.isShowBtns);
			OperateAlert.show(LanUtil.formateStr(610001, self._data.id));
		elseif self._data.state == 1 then
			Lua_ProxyManager.getProxy("Lua_HundredCeremonyProxy"):sDrawHundredCeremonyReward();
		else
			DataCenter.packUtil:showItemInfo(self.itemIcon.data, self.itemIcon.isShowBtns);
		end
	-- else
	-- 	DataCenter.packUtil:showItemInfo(self.itemIcon.data, self.itemIcon.isShowBtns);
	-- 	OperateAlert.showLangValue(610002);
	-- end
end

function Lua_HundredCeremonyItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self._data = nil;
	self:superCall("dispose");
end